
Redmine - Defect #26568

Multiple Selection List Filter View - items are cut off from view

2017-07-28 19:14 - Oscar Santos

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.3   

Resolution: Fixed Affected version:  

Description

Hello,

I have recently upgraded to the latest RM 3.4.2 and I had an issue reported to me where view filters are being cut off from being

displayed when multiple select is enabled. This causes issues for my users as they can not distinguish between items they would like

to select.

Please see screenshots below of single select (which is working normally) and multiple select of view filter options:

Single Select

 Single_Selection_List_working.PNG 

Multiple Select

 Multiple_Selection_List_issue.PNG 

I attempted to make some adjustments to the application.css files within the stylesheet directories of both Redmine Root and of my

custom theme stylesheet directory, but I am a Ruby on Rails novice at best; so could not make any headway here.

I was able to verify that on my prior Redmine 3.3.0 instance, this issue is not present. Additionally, the issue is present even when

plugins are removed from current Redmine instance. Please advise.

Environment:

  Redmine version                3.4.2.stable

  Ruby version                   2.3.4-p301 (2017-03-30) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.5

  Git                            1.7.1                   

Redmine plugins:

  redmine_agile                  1.4.4

  redmine_checklists             3.1.6

  redmine_gitlab_hook            0.1.3

  redmine_landing_page           0.1.1

  redmine_status_history         1.0.0

  redmine_wiki_extensions        0.8.0

Associated revisions

Revision 16921 - 2017-07-30 18:34 - Jean-Philippe Lang

Removes max width on filter selects introduced in r15603 (#26568).

Patch by Toshi MARUYAMA.

Revision 16922 - 2017-07-30 18:34 - Jean-Philippe Lang
Merged r16921 (#26568).

History

#1 - 2017-07-28 19:28 - Toshi MARUYAMA

- Description updated

#2 - 2017-07-28 20:08 - Toshi MARUYAMA

- Category set to UI

- Status changed from New to Confirmed

#3 - 2017-07-28 20:14 - Toshi MARUYAMA

- Target version set to 3.4.3

It seems caused by r15603.

Workaround:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -479,7 +479,7 @@ fieldset#filters td.field { width:230px;

 fieldset#filters td.operator { width:130px; }

 fieldset#filters td.operator select {max-width:120px;}

 fieldset#filters td.values { white-space:nowrap; }

-fieldset#filters td.values select {min-width:130px; max-width:200px;}

+fieldset#filters td.values select {min-width:130px;}

 fieldset#filters td.values input {height:1em;}

 #filters-table {width:60%; float:left;}

#4 - 2017-07-28 20:54 - Oscar Santos

Removing "max-width:200px" at line 482 from application.css does nothing for me. Even raked DB and restarted web service. Any suggestions?

#5 - 2017-07-28 21:05 - Marius BĂLTEANU

Oscar Santos wrote:

Removing "max-width:200px" at line 482 from application.css does nothing for me. Even raked DB and restarted web service. Any suggestions?

 Did you clear your browser cache?

#6 - 2017-07-28 21:10 - Oscar Santos

Browser cache strikes again! Yeah that did it. Thanks. >_<

#7 - 2017-07-30 18:34 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Max width removed.

Files

Single_Selection_List_working.PNG 25.1 KB 2017-07-28 Oscar Santos

Multiple_Selection_List_issue.PNG 5.99 KB 2017-07-28 Oscar Santos
